package com.xmomen.module.system.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

// 定义一个SysTaskExample类，继承自BaseMybatisExample类
public class SysTaskExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria变量
    public SysTaskExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置排序字段
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取排序字段
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置是否去重
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取是否去重
    public boolean isDistinct() {
        return distinct;
    }

    // 获取查询条件
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    // 创建一个Criteria对象
        // 调用createCriteriaInternal()方法创建一个Criteria对象
    // 创建一个新的查询条件
        // 如果oredCriteria集合为空，则将创建的Criteria对象添加到oredCriteria集合中
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
    // 创建一个新的查询条件
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
    // 清空查询条件
        return criteria;
    }
        // 清空oredCriteria
        // 将orderByClause置为null

        // 将distinct置为false
    // 定义一个GeneratedCriteria内部类，用于存储查询条件
    public void clear() {
        // 定义一个criteria变量，用于存储查询条件
        oredCriteria.clear();
        orderByClause = null;
        // 构造函数，初始化criteria变量
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;
        // 判断查询条件是否有效

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        // 获取所有查询条件
        }

        public boolean isValid() {
            return criteria.size() > 0;
        // 获取查询条件
        }
        // 获取所有标准

        public List<Criterion> getAllCriteria() {
        // 添加查询条件
        // 获取标准
            return criteria;
        }

        // 添加标准
        public List<Criterion> getCriteria() {
            return criteria;
        // 添加查询条件
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        // 添加查询条件
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
        // 添加条件
            // 如果value1或value2为null，则抛出异常
                throw new RuntimeException("Value for " + property + " cannot be null");
        // 添加查询条件，判断ID是否为空
            }
            // 添加条件到criteria中
            criteria.add(new Criterion(condition, value));
        }

        // 添加查询条件，判断ID是否不为空
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        // 添加查询条件，判断ID是否等于某个值
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        // 添加查询条件，判断ID是否不等于某个值
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        // 添加查询条件，判断ID是否大于某个值
        }

        // 添加一个条件，ID不等于value
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
        // 添加查询条件，判断ID是否大于等于某个值
            return (Criteria) this;
        // 添加一个条件，ID大于value
        }

        public Criteria andIdNotEqualTo(Integer value) {
        // 添加查询条件，判断ID是否小于某个值
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
        // 添加查询条件，判断ID是否小于等于某个值
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
        // 添加查询条件，判断ID是否在某个范围内
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
        // 添加查询条件，判断ID是否不在某个范围内
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
        // 添加查询条件，判断ID是否在某个范围内
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
            // 返回当前对象
        }

        // 添加查询条件，判断ID是否不在某个范围内
        public Criteria andIdIn(List<Integer> values) {
        // 添加ID不在指定范围内的条件
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }
        // 添加查询条件，判断TASK_HEAD_ID是否为空

        // 添加ID在指定范围内的条件
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        // 添加查询条件，判断TASK_HEAD_ID是否不为空
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        // 添加查询条件，判断TASK_HEAD_ID是否等于某个值
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        // 添加查询条件，判断TASK_HEAD_ID是否不等于某个值
        }

        public Criteria andTaskHeadIdIsNull() {
            addCriterion("TASK_HEAD_ID is null");
            return (Criteria) this;
        // 添加查询条件，判断TASK_HEAD_ID是否大于某个值
        }

        public Criteria andTaskHeadIdIsNotNull() {
            addCriterion("TASK_HEAD_ID is not null");
            return (Criteria) this;
        // 添加查询条件，判断TASK_HEAD_ID是否大于等于某个值
        }

        public Criteria andTaskHeadIdEqualTo(Integer value) {
            addCriterion("TASK_HEAD_ID =", value, "taskHeadId");
        // 添加条件，TASK_HEAD_ID不等于value
        // 添加查询条件，判断TASK_HEAD_ID是否小于某个值
            return (Criteria) this;
        }

        // 添加条件，TASK_HEAD_ID大于value
        public Criteria andTaskHeadIdNotEqualTo(Integer value) {
        // 添加查询条件，判断TASK_HEAD_ID是否小于等于某个值
            addCriterion("TASK_HEAD_ID <>", value, "taskHeadId");
            return (Criteria) this;
        }

        public Criteria andTaskHeadIdGreaterThan(Integer value) {
        // 添加查询条件，判断TASK_HEAD_ID是否在某个范围内
            addCriterion("TASK_HEAD_ID >", value, "taskHeadId");
            return (Criteria) this;
        }

        public Criteria andTaskHeadIdGreaterThanOrEqualTo(Integer value) {
        // 添加查询条件，判断TASK_HEAD_ID是否不在某个范围内
            addCriterion("TASK_HEAD_ID >=", value, "taskHeadId");
            return (Criteria) this;
        }

        public Criteria andTaskHeadIdLessThan(Integer value) {
        // 添加查询条件，判断TASK_HEAD_ID是否在某个范围内
            addCriterion("TASK_HEAD_ID <", value, "taskHeadId");
            return (Criteria) this;
        }

        public Criteria andTaskHeadIdLessThanOrEqualTo(Integer value) {
        // 添加查询条件，判断TASK_HEAD_ID是否不在某个范围内
            addCriterion("TASK_HEAD_ID <=", value, "taskHeadId");
            return (Criteria) this;
        }

        public Criteria andTaskHeadIdIn(List<Integer> values) {
        // 添加查询条件，判断CREATE_TIME是否为空
            addCriterion("TASK_HEAD_ID in", values, "taskHeadId");
            return (Criteria) this;
        }

        public Criteria andTaskHeadIdNotIn(List<Integer> values) {
        // 添加查询条件，判断CREATE_TIME是否不为空
        // 添加TASK_HEAD_ID在value1和value2之间的条件
            addCriterion("TASK_HEAD_ID not in", values, "taskHeadId");
            return (Criteria) this;
        }

        // 添加查询条件，判断CREATE_TIME是否等于某个值
        // 添加TASK_HEAD_ID不在value1和value2之间的条件
        public Criteria andTaskHeadIdBetween(Integer value1, Integer value2) {
            addCriterion("TASK_HEAD_ID between", value1, value2, "taskHeadId");
            return (Criteria) this;
        }
        // 添加查询条件，判断CREATE_TIME是否不等于某个值
        // 添加CREATE_TIME为空的条件

        public Criteria andTaskHeadIdNotBetween(Integer value1, Integer value2) {
            addCriterion("TASK_HEAD_ID not between", value1, value2, "taskHeadId");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否大于某个值
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否大于等于某个值
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否小于某个值
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否小于等于某个值
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否在某个范围内
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否不在某个范围内
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否在某个范围内
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断CREATE_TIME是否不在某个范围内
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否为空
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否不为空
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否等于某个值
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否不等于某个值
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否大于某个值
        }

        public Criteria andStartTimeIsNull() {
            addCriterion("START_TIME is null");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否大于等于某个值
        }

        public Criteria andStartTimeIsNotNull() {
            addCriterion("START_TIME is not null");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否小于某个值
        }

        public Criteria andStartTimeEqualTo(Date value) {
            addCriterion("START_TIME =", value, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否小于等于某个值
        }

        public Criteria andStartTimeNotEqualTo(Date value) {
            addCriterion("START_TIME <>", value, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否在某个范围内
        }

        public Criteria andStartTimeGreaterThan(Date value) {
            addCriterion("START_TIME >", value, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否不在某个范围内
        }

        public Criteria andStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("START_TIME >=", value, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否在某个范围内
        }

        public Criteria andStartTimeLessThan(Date value) {
            addCriterion("START_TIME <", value, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断START_TIME是否不在某个范围内
        }

        public Criteria andStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("START_TIME <=", value, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否为空
        }

        public Criteria andStartTimeIn(List<Date> values) {
            addCriterion("START_TIME in", values, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否不为空
        }

        public Criteria andStartTimeNotIn(List<Date> values) {
            addCriterion("START_TIME not in", values, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否等于某个值
        }

        public Criteria andStartTimeBetween(Date value1, Date value2) {
            addCriterion("START_TIME between", value1, value2, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否不等于某个值
        }

        public Criteria andStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("START_TIME not between", value1, value2, "startTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否大于某个值
        }

        public Criteria andFinishTimeIsNull() {
            addCriterion("FINISH_TIME is null");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否大于等于某个值
        }

        public Criteria andFinishTimeIsNotNull() {
            addCriterion("FINISH_TIME is not null");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否小于某个值
        }

        public Criteria andFinishTimeEqualTo(Date value) {
            addCriterion("FINISH_TIME =", value, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否小于等于某个值
        }

        public Criteria andFinishTimeNotEqualTo(Date value) {
            addCriterion("FINISH_TIME <>", value, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否在某个范围内
        }

        public Criteria andFinishTimeGreaterThan(Date value) {
            addCriterion("FINISH_TIME >", value, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否不在某个范围内
        }

        public Criteria andFinishTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("FINISH_TIME >=", value, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否在某个范围内
        }

        public Criteria andFinishTimeLessThan(Date value) {
            addCriterion("FINISH_TIME <", value, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断FINISH_TIME是否不在某个范围内
        }

        public Criteria andFinishTimeLessThanOrEqualTo(Date value) {
            addCriterion("FINISH_TIME <=", value, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否为空
        }

        public Criteria andFinishTimeIn(List<Date> values) {
            addCriterion("FINISH_TIME in", values, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否不为空
        }

        public Criteria andFinishTimeNotIn(List<Date> values) {
            addCriterion("FINISH_TIME not in", values, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否等于某个值
        }

        public Criteria andFinishTimeBetween(Date value1, Date value2) {
            addCriterion("FINISH_TIME between", value1, value2, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否不等于某个值
        }

        public Criteria andFinishTimeNotBetween(Date value1, Date value2) {
            addCriterion("FINISH_TIME not between", value1, value2, "finishTime");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否大于某个值
        }

        public Criteria andExecutorIdIsNull() {
            addCriterion("EXECUTOR_ID is null");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否大于等于某个值
        }

        public Criteria andExecutorIdIsNotNull() {
            addCriterion("EXECUTOR_ID is not null");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否小于某个值
        }

        public Criteria andExecutorIdEqualTo(Integer value) {
            addCriterion("EXECUTOR_ID =", value, "executorId");
            return (Criteria) this;
        // 添加查询条件，判断EXECUTOR_ID是否小于等于某个值
        }
            addCriterion("EXECUTOR_ID <=", value, "executorId
```java

        public Criteria andExecutorIdNotEqualTo(Integer value) {
            addCriterion("EXECUTOR_ID <>", value, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdGreaterThan(Integer value) {
            addCriterion("EXECUTOR_ID >", value, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("EXECUTOR_ID >=", value, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdLessThan(Integer value) {
            addCriterion("EXECUTOR_ID <", value, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdLessThanOrEqualTo(Integer value) {
            addCriterion("EXECUTOR_ID <=", value, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdIn(List<Integer> values) {
            addCriterion("EXECUTOR_ID in", values, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdNotIn(List<Integer> values) {
            addCriterion("EXECUTOR_ID not in", values, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdBetween(Integer value1, Integer value2) {
            addCriterion("EXECUTOR_ID between", value1, value2, "executorId");
            return (Criteria) this;
        }

        public Criteria andExecutorIdNotBetween(Integer value1, Integer value2) {
            addCriterion("EXECUTOR_ID not between", value1, value2, "executorId");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIsNull() {
            addCriterion("TASK_STATUS is null");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIsNotNull() {
            addCriterion("TASK_STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andTaskStatusEqualTo(Integer value) {
            addCriterion("TASK_STATUS =", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotEqualTo(Integer value) {
            addCriterion("TASK_STATUS <>", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusGreaterThan(Integer value) {
            addCriterion("TASK_STATUS >", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("TASK_STATUS >=", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLessThan(Integer value) {
            addCriterion("TASK_STATUS <", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusLessThanOrEqualTo(Integer value) {
            addCriterion("TASK_STATUS <=", value, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusIn(List<Integer> values) {
            addCriterion("TASK_STATUS in", values, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotIn(List<Integer> values) {
            addCriterion("TASK_STATUS not in", values, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusBetween(Integer value1, Integer value2) {
            addCriterion("TASK_STATUS between", value1, value2, "taskStatus");
            return (Criteria) this;
        }

        public Criteria andTaskStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("TASK_STATUS not between", value1, value2, "taskStatus");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}